// //
// // elements/slider
// // ce_slider
// //

// variables
$slider-arrow-background: transparent;
$slider-arrow-color: white;
$slider-dots-border: 2px solid $color-highlight;
$slider-dots-background: $color-highlight;
$slider-dots-size: 0.75rem;

.slick-slider {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  position: relative;
}

.slick-arrow {
  margin-bottom: 0 !important;
  height: 100%;
  position: absolute;
  height: 2.5rem;
  width: 2.5rem;
  top: calc(50% - $base-spacing-unit-md);
  transform: translateY(-50%);
  z-index: 1;
}

.slick-list {
  margin: 0;
  line-height: 0;
  width: 100%;
}

.slick-arrow button {
  background: $slider-arrow-background;
  border-color: white !important;
  height: 2.5rem;
  width: 2.5rem;
  position: relative;
  top: 50%;
  transform: translateY(-50%);
  padding: 0 !important;

  &::after {
    font-size: 0.875rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    line-height: 0;
    color: $slider-arrow-color;
    @include transition(color);
  }

  &:hover {
    background: white;
    border-color: white !important;

    &::after {
      color: $color-highlight;
    }
  }
}

.slick-next {
  right: $base-spacing-unit;
}

.slick-next button::after {
  content: '\25B6';
}

.slick-prev {
  left: $base-spacing-unit;
}

.slick-prev button::after {
  content: '\25C0';
}

ul.slick-dots {
  // reset
  padding: 0;
  margin: 0;
  list-style-type: none;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  width: 100%;
  height: $base-spacing-unit-md;
  position: relative;
}

ul.slick-dots li {
  font: 0/0 a;
  margin: 0 0.25rem;
}

ul.slick-dots li button {
  -webkit-appearance: none;
  padding: 0;
  margin: 0;
  width: $slider-dots-size;
  height: $slider-dots-size;
  border-radius: 100%;
  border: $slider-dots-border;
  cursor: pointer;
  opacity: 0.33;
  @include transition;
}

ul.slick-dots li.slick-active button,
ul.slick-dots li:hover button {
  background: $slider-dots-background;
  opacity: 1;
}
